import { CacheConsultant } from './CacheConsultant.js';
import type { Configuration, PluginName, WorkspaceConfiguration } from './types/config.js';
import type { PackageJson } from './types/package-json.js';
import type { DependencySet } from './types/workspace.js';
type WorkspaceManagerOptions = {
    name: string;
    dir: string;
    cwd: string;
    config: WorkspaceConfiguration;
    manifest: PackageJson;
    dependencies: DependencySet;
    rootIgnore: Configuration['ignore'];
    negatedWorkspacePatterns: string[];
    enabledPluginsInAncestors: string[];
    isProduction: boolean;
    isStrict: boolean;
};
export type ReferencedDependencies = Set<[string, string]>;
type CacheItem = {
    resolveEntryPaths?: string[];
    resolveConfig?: string[];
};
export declare class WorkspaceWorker {
    name: string;
    dir: string;
    cwd: string;
    config: WorkspaceConfiguration;
    manifest: PackageJson;
    manifestScriptNames: Set<string>;
    dependencies: DependencySet;
    isProduction: boolean;
    isStrict: boolean;
    rootIgnore: Configuration['ignore'];
    negatedWorkspacePatterns: string[];
    enabledPluginsMap: any;
    enabledPlugins: PluginName[];
    enabledPluginsInAncestors: string[];
    cache: CacheConsultant<CacheItem>;
    constructor({ name, dir, cwd, config, manifest, dependencies, isProduction, isStrict, rootIgnore, negatedWorkspacePatterns, enabledPluginsInAncestors, }: WorkspaceManagerOptions);
    init(): any;
    private determineEnabledPlugins;
    private getConfigForPlugin;
    getEntryFilePatterns(): any;
    getProjectFilePatterns(testFilePatterns: string[]): any;
    getPluginProjectFilePatterns(): any;
    getPluginConfigPatterns(): string[];
    getProductionEntryFilePatterns(negatedTestFilePatterns: string[]): any;
    getProductionProjectFilePatterns(negatedTestFilePatterns: string[]): any;
    private getConfigurationFilePatterns;
    getIgnorePatterns(): any[];
    findDependenciesByPlugins(): unknown;
    onDispose(): void;
}
export {};
