import type { RawConfiguration } from '../types/config.js';
import type { DependencySet } from '../types/workspace.js';
import type { AsyncCompilerFn, AsyncCompilers, SyncCompilerFn, SyncCompilers } from './types.js';
export declare const partitionCompilers: (rawLocalConfig: RawConfiguration) => {
    syncCompilers: Record<string, SyncCompilerFn>;
    asyncCompilers: Record<string, AsyncCompilerFn>;
    rules?: unknown;
    entry?: unknown;
    project?: unknown;
    paths?: unknown;
    ignore?: unknown;
    ignoreBinaries?: unknown;
    ignoreDependencies?: unknown;
    ignoreMembers?: unknown;
    ignoreExportsUsedInFile?: unknown;
    ignoreWorkspaces?: unknown;
    includeEntryExports?: unknown;
    compilers?: unknown;
    include?: unknown;
    exclude?: unknown;
    workspaces?: unknown;
    astro?: unknown;
    angular?: unknown;
    ava?: unknown;
    babel?: unknown;
    capacitor?: unknown;
    changesets?: unknown;
    commitizen?: unknown;
    commitlint?: unknown;
    cspell?: unknown;
    cucumber?: unknown;
    cypress?: unknown;
    eleventy?: unknown;
    eslint?: unknown;
    gatsby?: unknown;
    'github-actions'?: unknown;
    'graphql-codegen'?: unknown;
    husky?: unknown;
    jest?: unknown;
    lefthook?: unknown;
    'lint-staged'?: unknown;
    linthtml?: unknown;
    'lockfile-lint'?: unknown;
    'lost-pixel'?: unknown;
    markdownlint?: unknown;
    mocha?: unknown;
    moonrepo?: unknown;
    msw?: unknown;
    netlify?: unknown;
    next?: unknown;
    'node-test-runner'?: unknown;
    'npm-package-json-lint'?: unknown;
    nx?: unknown;
    nyc?: unknown;
    oclif?: unknown;
    playwright?: unknown;
    'playwright-ct'?: unknown;
    postcss?: unknown;
    prettier?: unknown;
    'release-it'?: unknown;
    remark?: unknown;
    remix?: unknown;
    rollup?: unknown;
    'semantic-release'?: unknown;
    sentry?: unknown;
    'simple-git-hooks'?: unknown;
    'size-limit'?: unknown;
    storybook?: unknown;
    stryker?: unknown;
    stylelint?: unknown;
    svelte?: unknown;
    syncpack?: unknown;
    tailwind?: unknown;
    tsup?: unknown;
    typedoc?: unknown;
    typescript?: unknown;
    unbuild?: unknown;
    unocss?: unknown;
    'vercel-og'?: unknown;
    vue?: unknown;
    vite?: unknown;
    vitest?: unknown;
    'webdriver-io'?: unknown;
    webpack?: unknown;
    wireit?: unknown;
    wrangler?: unknown;
    xo?: unknown;
    yorkie?: unknown;
};
export declare const getIncludedCompilers: (syncCompilers: SyncCompilers, asyncCompilers: AsyncCompilers, dependencies: DependencySet) => [SyncCompilers, AsyncCompilers];
export declare const getCompilerExtensions: (compilers: [SyncCompilers, AsyncCompilers]) => any[];
