import ts from 'typescript';
import type { AsyncCompilers, SyncCompilers } from '../compilers/types.js';
interface SourceFileManagerOptions {
    isSkipLibs: boolean;
    compilers: [SyncCompilers, AsyncCompilers];
}
export declare class SourceFileManager {
    isSkipLibs: boolean;
    sourceFileCache: any;
    snapshotCache: any;
    syncCompilers: SyncCompilers;
    asyncCompilers: AsyncCompilers;
    constructor({ compilers, isSkipLibs }: SourceFileManagerOptions);
    createSourceFile(filePath: string, contents: string): ts.SourceFile;
    getSourceFile(filePath: string): any;
    getSnapshot(filePath: string): any;
    compileAndAddSourceFile(filePath: string): any;
}
export {};
