import ts from 'typescript';
import type { Tags } from '../types/cli.js';
import type { Export } from '../types/dependency-graph.js';
import type { BoundSourceFile } from './SourceFile.js';
export type GetImportsAndExportsOptions = {
    skipTypeOnly: boolean;
    skipExports: boolean;
    isFixExports: boolean;
    isFixTypes: boolean;
    isReportClassMembers: boolean;
    ignoreExportsUsedInFile: boolean;
    tags: Tags;
};
export declare const _getImportsAndExports: (sourceFile: BoundSourceFile, resolveModule: (specifier: string) => ts.ResolvedModuleFull | undefined, typeChecker: ts.TypeChecker, options: GetImportsAndExportsOptions) => {
    imports: {
        internal: Map<string, import("../types/dependency-graph.js").ImportDetails>;
        external: any;
        resolved: any;
        specifiers: any;
        unresolved: any;
    };
    exports: {
        exported: Map<string, Export>;
        duplicate: any[];
    };
    scripts: any;
    traceRefs: any;
};
